curl -X GET https://api.muvi.video/v1/models \
-H "x-api-key: YOUR_API_KEY"
import requests
response = requests.get(
"https://api.muvi.video/v1/models",
headers={"x-api-key": "YOUR_API_KEY"}
)
data = response.json()
for model in data["models"]:
print(f"{model['name']} ({model['category']})")
const response = await fetch("https://api.muvi.video/v1/models", {
headers: { "x-api-key": "YOUR_API_KEY" }
});
const data = await response.json();
data.models.forEach(model => {
console.log(`${model.name} (${model.category})`);
});
{
"models": [
{
"id": "model_abc123",
"providerId": "google",
"providerName": "Google",
"name": "Veo 3.1 Fast",
"description": "High-speed video generation model",
"category": "video",
"currentVersion": "v1.0",
"versionCount": 2,
"currentVersionPricing": {
"baseCredits": 50,
"unit": "per_generation"
}
}
]
}
Models
List Models
Retrieve a list of all available AI models. Results are cached for 5 minutes.
GET
/
v1
/
models
curl -X GET https://api.muvi.video/v1/models \
-H "x-api-key: YOUR_API_KEY"
import requests
response = requests.get(
"https://api.muvi.video/v1/models",
headers={"x-api-key": "YOUR_API_KEY"}
)
data = response.json()
for model in data["models"]:
print(f"{model['name']} ({model['category']})")
const response = await fetch("https://api.muvi.video/v1/models", {
headers: { "x-api-key": "YOUR_API_KEY" }
});
const data = await response.json();
data.models.forEach(model => {
console.log(`${model.name} (${model.category})`);
});
{
"models": [
{
"id": "model_abc123",
"providerId": "google",
"providerName": "Google",
"name": "Veo 3.1 Fast",
"description": "High-speed video generation model",
"category": "video",
"currentVersion": "v1.0",
"versionCount": 2,
"currentVersionPricing": {
"baseCredits": 50,
"unit": "per_generation"
}
}
]
}
Authentication
Requires an API key withlist_models scope.
string
required
Your API key with
list_models scope.Response
array
List of available models.
Show Model Object
Show Model Object
string
Unique model identifier.
string
ID of the provider that offers this model.
string
Display name of the provider.
string
Display name of the model.
string
Brief description of what the model does.
string
Model category (e.g.,
video, image).string
Currently active version identifier.
number
Total number of versions available.
object
Pricing details for the current version.
curl -X GET https://api.muvi.video/v1/models \
-H "x-api-key: YOUR_API_KEY"
import requests
response = requests.get(
"https://api.muvi.video/v1/models",
headers={"x-api-key": "YOUR_API_KEY"}
)
data = response.json()
for model in data["models"]:
print(f"{model['name']} ({model['category']})")
const response = await fetch("https://api.muvi.video/v1/models", {
headers: { "x-api-key": "YOUR_API_KEY" }
});
const data = await response.json();
data.models.forEach(model => {
console.log(`${model.name} (${model.category})`);
});
{
"models": [
{
"id": "model_abc123",
"providerId": "google",
"providerName": "Google",
"name": "Veo 3.1 Fast",
"description": "High-speed video generation model",
"category": "video",
"currentVersion": "v1.0",
"versionCount": 2,
"currentVersionPricing": {
"baseCredits": 50,
"unit": "per_generation"
}
}
]
}
⌘I
